Subject: Re: bug#64138: 28.2; C-x ) won't accept the universal argument

From: Stefan Monnier <[email-masked]>
Date: Sun, 18 Jun 2023 10:08:04 -0400

>> I have no objections to extending those commands to accept just C-u,
>> though.  Stefan, any reasons why not?
> Offhand, I can't think of any reason why not.

BTW: the main question here is whether a C-1 prefix should be treated
the same as the absence of a prefix.  AFAICT, the `arg` argument
of `kmacro-end-macro` is only used once, to pass it to `end-kbd-macro`,
and that function starts with:

      if (NILP (repeat))
        XSETFASTINT (repeat, 1);
      else
        CHECK_FIXNUM (repeat);

so, the absence of a prefix arg currently should indeed always behave
exactly as with a `C-1` arg.
IOW, I'm pretty sure now that there is not reason why not.

        Stefan